> This page is for API Reference.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://okx-demo.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://okx-demo.ferndocs.com/_mcp/server.

# Get sub-account trading balance

GET https://www.okx.com/api/v5/account/subaccount/balances

Retrieve detailed trading-account balance information of a sub-account through the master account. Applies only to master accounts.

Reference: https://okx-demo.ferndocs.com/api/api-reference/sub-account/get-balance

## Authentication

- `OK-ACCESS-KEY` header (required) — Your API key.
- `OK-ACCESS-SIGN` header (required) — Base64-encoded HMAC-SHA256 signature of the prehash string.
- `OK-ACCESS-TIMESTAMP` header (required) — ISO 8601 UTC timestamp, e.g. 2020-12-08T09:08:57.715Z.
- `OK-ACCESS-PASSPHRASE` header (required) — The passphrase you set when creating the API key.

## Request

### Query parameters

- `subAcct` (string, required) — Sub-account name.

## Response

### 200

Successful response

- `code` (string, optional) — Result code. `0` means success; any other value is an error code.
- `msg` (string, optional) — Error message. Empty on success.
- `data` (list of any, optional)

## Examples

**Response**

```json
{
  "code": "0",
  "msg": "",
  "data": [
    {
      "adjEq": "101.46752000000001",
      "availEq": "624719833286",
      "borrowFroz": "0",
      "delta": "0",
      "deltaLever": "0",
      "deltaNeutralStatus": "0",
      "details": [
        {
          "accAvgPx": "",
          "autoLendMtAmt": "0",
          "autoLendStatus": "off",
          "availBal": "101.5",
          "availEq": "101.5",
          "borrowFroz": "0",
          "cashBal": "101.5",
          "ccy": "USDT",
          "clSpotInUseAmt": "",
          "colBorrAutoConversion": "0",
          "colRes": "0",
          "collateralEnabled": false,
          "collateralRestrict": false,
          "crossLiab": "0",
          "disEq": "101.46752000000001",
          "eq": "101.5",
          "eqUsd": "101.46752000000001",
          "fixedBal": "0",
          "frozenBal": "0",
          "frpType": "0",
          "imr": "",
          "interest": "0",
          "isoEq": "0",
          "isoLiab": "0",
          "isoUpl": "0",
          "liab": "0",
          "maxLoan": "1015.0000000000001",
          "maxSpotInUse": "",
          "mgnRatio": "",
          "mmr": "",
          "notionalLever": "",
          "openAvgPx": "",
          "ordFrozen": "0",
          "rewardBal": "",
          "smtSyncEq": "0",
          "spotBal": "",
          "spotCopyTradingEq": "0",
          "spotInUseAmt": "",
          "spotIsoBal": "0",
          "spotUpl": "",
          "spotUplRatio": "",
          "stgyEq": "0",
          "totalPnl": "",
          "totalPnlRatio": "",
          "twap": "0",
          "uTime": "1663854334734",
          "upl": "0",
          "uplLiab": "0"
        }
      ],
      "imr": "0",
      "isoEq": "0",
      "mgnRatio": "",
      "mmr": "0",
      "notionalUsd": "0",
      "notionalUsdForBorrow": "0",
      "notionalUsdForFutures": "0",
      "notionalUsdForOption": "0",
      "notionalUsdForSwap": "0",
      "ordFroz": "0",
      "totalEq": "101.46752000000001",
      "uTime": "1739332269934",
      "upl": "0"
    }
  ]
}
```

**SDK Code**

```python subAccount_getBalance_example
import requests

url = "https://www.okx.com/api/v5/account/subaccount/balances"

querystring = {"subAcct":"test-sub-1"}

headers = {"OK-ACCESS-KEY": "<apiKey>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript subAccount_getBalance_example
const url = 'https://www.okx.com/api/v5/account/subaccount/balances?subAcct=test-sub-1';
const options = {method: 'GET', headers: {'OK-ACCESS-KEY': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go subAccount_getBalance_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://www.okx.com/api/v5/account/subaccount/balances?subAcct=test-sub-1"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("OK-ACCESS-KEY", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby subAccount_getBalance_example
require 'uri'
require 'net/http'

url = URI("https://www.okx.com/api/v5/account/subaccount/balances?subAcct=test-sub-1")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["OK-ACCESS-KEY"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java subAccount_getBalance_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://www.okx.com/api/v5/account/subaccount/balances?subAcct=test-sub-1")
  .header("OK-ACCESS-KEY", "<apiKey>")
  .asString();
```

```php subAccount_getBalance_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://www.okx.com/api/v5/account/subaccount/balances?subAcct=test-sub-1', [
  'headers' => [
    'OK-ACCESS-KEY' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp subAccount_getBalance_example
using RestSharp;

var client = new RestClient("https://www.okx.com/api/v5/account/subaccount/balances?subAcct=test-sub-1");
var request = new RestRequest(Method.GET);
request.AddHeader("OK-ACCESS-KEY", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift subAccount_getBalance_example
import Foundation

let headers = ["OK-ACCESS-KEY": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://www.okx.com/api/v5/account/subaccount/balances?subAcct=test-sub-1")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```